<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="321dp"
    android:layout_height="420dp"
    android:background="@drawable/bg_rounded_rect"
    android:paddingBottom="25dp">

    <TextView
        android:id="@+id/tv_default_actions_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="35dp"
        android:layout_marginTop="23dp"
        android:text="Default Actions"
        android:textColor="@color/text_gray"
        android:textSize="15sp"
        android:textStyle="bold"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/iv_interval_icon"
        android:layout_width="11dp"
        android:layout_height="12dp"
        android:layout_marginEnd="8dp"
        android:src="@drawable/hourglass"
        app:layout_constraintBottom_toBottomOf="@+id/tv_interval_label"
        app:layout_constraintEnd_toStartOf="@+id/tv_interval_label"
        app:layout_constraintTop_toTopOf="@+id/tv_interval_label" />

    <TextView
        android:id="@+id/tv_interval_label"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="56dp"
        android:layout_marginTop="9dp"
        android:text="Interval between actions"
        android:textColor="@color/white"
        android:textSize="14sp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_default_actions_title" />

    <LinearLayout
        android:id="@+id/input_interval"
        android:layout_width="287dp"
        android:layout_height="42dp"
        android:layout_marginStart="20dp"
        android:layout_marginTop="9dp"
        android:layout_marginEnd="20dp"
        android:background="@drawable/rounded_edittext_background"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingStart="12dp"
        android:paddingEnd="12dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_interval_label">

        <EditText
            android:id="@+id/dialog_et_interval_value"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:background="@null"
            android:inputType="number"
            android:padding="8dp"
            android:textColor="@color/white"
            android:textColorHint="@color/gray" />

        <LinearLayout
            android:id="@+id/dialog_interval_selector_container"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:clickable="true"
            android:focusable="true"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingStart="12dp"
            android:paddingEnd="4dp">

            <TextView
                android:id="@+id/dialog_interval_selected_unit"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingEnd="4dp"
                android:text="milliseconds"
                android:textColor="@color/white"
                android:textSize="14sp" />

            <ImageView
                android:id="@+id/interval_unit_dropdown"
                android:layout_width="15dp"
                android:layout_height="8dp"
                android:src="@drawable/blue_arrow_down" />
        </LinearLayout>
    </LinearLayout>

    <ImageView
        android:id="@+id/duration_icon"
        android:layout_width="20dp"
        android:layout_height="11dp"
        android:src="@drawable/left_swipe"
        app:layout_constraintBottom_toBottomOf="@+id/tv_swipe_duration_label"
        app:layout_constraintEnd_toEndOf="@id/iv_interval_icon"
        app:layout_constraintTop_toTopOf="@id/tv_swipe_duration_label" />

    <TextView
        android:id="@+id/tv_swipe_duration_label"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:text="Swipe duration"
        android:textColor="@color/white"
        android:textSize="14sp"
        app:layout_constraintStart_toStartOf="@+id/tv_interval_label"
        app:layout_constraintTop_toBottomOf="@id/input_interval" />

    <TextView
        android:id="@+id/tv_preview_label"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="41dp"
        android:text="@string/preview"
        android:textColor="@color/blue"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="@id/tv_swipe_duration_label"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/tv_swipe_duration_label" />

    <LinearLayout
        android:id="@+id/input_with_unit_container"
        android:layout_width="287dp"
        android:layout_height="42dp"
        android:layout_marginStart="20dp"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="20dp"
        android:layout_marginBottom="8dp"
        android:background="@drawable/rounded_edittext_background"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingStart="12dp"
        android:paddingEnd="12dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_swipe_duration_label">

        <EditText
            android:id="@+id/dialog_et_duration_value"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:background="@null"
            android:inputType="number"
            android:padding="8dp"
            android:textColor="@color/white"
            android:textColorHint="@color/gray" />

        <LinearLayout
            android:id="@+id/dialog_unit_selector_container"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:clickable="true"
            android:focusable="true"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingStart="12dp"
            android:paddingEnd="4dp">

            <TextView
                android:id="@+id/dialog_tv_selected_unit"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingEnd="4dp"
                android:text="milliseconds"
                android:textColor="@color/white"
                android:textSize="14sp" />

            <ImageView
                android:id="@+id/iv_unit_dropdown"
                android:layout_width="15dp"
                android:layout_height="8dp"
                android:src="@drawable/blue_arrow_down" />
        </LinearLayout>
    </LinearLayout>

    <TextView
        android:id="@+id/default_cycle_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="35dp"
        android:layout_marginTop="23dp"
        android:text="Default  cycle"
        android:textColor="@color/text_gray"
        android:textSize="15sp"
        android:textStyle="bold"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/input_with_unit_container" />

    <ImageView
        android:id="@+id/repeat_icon"
        android:layout_width="12dp"
        android:layout_height="12dp"
        android:layout_marginEnd="9dp"
        android:src="@drawable/cycle"
        app:layout_constraintBottom_toBottomOf="@+id/repeat_text"
        app:layout_constraintEnd_toStartOf="@+id/repeat_text"
        app:layout_constraintTop_toTopOf="@+id/repeat_text" />

    <TextView
        android:id="@+id/repeat_text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="56dp"
        android:layout_marginTop="9dp"
        android:text="Repeat mode"
        android:textColor="@color/white"
        android:textSize="14sp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/default_cycle_title" />

    <androidx.appcompat.widget.SwitchCompat
        android:id="@+id/dialog_repeat_switch"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="32dp"
        app:layout_constraintBottom_toBottomOf="@+id/repeat_text"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/repeat_text"
        app:layout_constraintVertical_bias="0.31"
        app:thumbTint="@color/switch_thumb_selector"
        app:trackTint="@color/switch_track_selector" />

    <LinearLayout
        android:id="@+id/dialog_repeat_input"
        android:layout_width="287dp"
        android:layout_height="48dp"
        android:layout_marginStart="20dp"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="20dp"
        android:layout_marginBottom="8dp"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingEnd="12dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/repeat_text">

        <EditText
            android:id="@+id/dialog_et_repeat_value"
            android:layout_width="123dp"
            android:layout_height="42dp"
            android:background="@drawable/rounded_edittext_background"
            android:inputType="number"
            android:padding="8dp"
            android:textColor="@color/white"
            android:textColorHint="@color/gray" />

        <LinearLayout
            android:id="@+id/dialog_repeat_selector_container"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_marginStart="62dp"
            android:clickable="true"
            android:focusable="true"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingStart="12dp"
            android:paddingEnd="4dp">

            <TextView
                android:id="@+id/dialog_repeat_selected_unit"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingEnd="4dp"
                android:text="infinitely"
                android:textColor="@color/white"
                android:textSize="14sp" />

            <ImageView
                android:id="@+id/repeat_unit_dropdown"
                android:layout_width="15dp"
                android:layout_height="8dp"
                android:src="@drawable/blue_arrow_down" />
        </LinearLayout>
    </LinearLayout>

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/save"
        android:layout_width="100dp"
        android:layout_height="36dp"
        android:background="@drawable/btn_border_background"
        android:text="Save"
        android:textSize="14sp"
        android:layout_marginTop="18dp"
        app:layout_constraintStart_toStartOf="parent"
        android:backgroundTint="#0BC4FC"
        android:textAllCaps="false"
        app:layout_constraintTop_toBottomOf="@+id/dialog_repeat_input"
        app:layout_constraintEnd_toStartOf="@+id/close"
        android:textColor="@color/white" />

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/close"
        android:layout_width="100dp"
        android:layout_height="36dp"
        android:background="@drawable/close_bg"
        android:text="Close"
        android:textAllCaps="false"
        android:textSize="14sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/save"
        app:layout_constraintTop_toTopOf="@+id/save"
        app:layout_constraintBottom_toBottomOf="@id/save"
        android:textColor="@color/white" />

</androidx.constraintlayout.widget.ConstraintLayout>